Loading...
Searching...
No Matches
apr_lib.h File Reference

APR general purpose library routines. More...

`#include "apr.h"`
`#include "apr_errno.h"`
Include dependency graph for apr_lib.h:

Go to the source code of this file.

## Data Structures

struct | apr_vformatter_buff_t

## Macros

#define | HUGE_STRING_LEN 8192
#define | apr_killpg(x, y) (killpg ((x), (y)))
#define | apr_isalnum(c) (isalnum(((unsigned char)(c))))
#define | apr_isalpha(c) (isalpha(((unsigned char)(c))))
#define | apr_iscntrl(c) (iscntrl(((unsigned char)(c))))
#define | apr_isdigit(c) (isdigit(((unsigned char)(c))))
#define | apr_isgraph(c) (isgraph(((unsigned char)(c))))
#define | apr_islower(c) (islower(((unsigned char)(c))))
#define | apr_isascii(c) (((c) & ~0x7f)==0)
#define | apr_isprint(c) (isprint(((unsigned char)(c))))
#define | apr_ispunct(c) (ispunct(((unsigned char)(c))))
#define | apr_isspace(c) (isspace(((unsigned char)(c))))
#define | apr_isupper(c) (isupper(((unsigned char)(c))))
#define | apr_isxdigit(c) (isxdigit(((unsigned char)(c))))
#define | apr_tolower(c) (tolower(((unsigned char)(c))))
#define | apr_toupper(c) (toupper(((unsigned char)(c))))

## Typedefs

typedef struct apr_vformatter_buff_t | apr_vformatter_buff_t

## Functions

const char * | apr_filepath_name_get (const char *pathname)
int | apr_vformatter (int(*flush_func)(apr_vformatter_buff_t *b), apr_vformatter_buff_t *c, const char *fmt, va_list ap)
apr_status_t | apr_password_get (const char *prompt, char *pwbuf, apr_size_t *bufsize)

## Detailed Description

APR general purpose library routines.

This is collection of oddballs that didn't fit anywhere else, and might move to more appropriate headers with the release of APR 1.0.